html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

.clear::after {
    content: "";
    clear: both;
    display: table;
}

html,
body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 15px;
    line-height: 1.5;
    color: #000;
}

nav {
    background-color: #fff;
    color: #000;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16);
    margin: 0px 0px 16px 0px;
    border-bottom-left-radius: 0.5em;
    border-bottom-right-radius: 0.5em;
}

nav>a {
    display: inline-block;
    padding: 8px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-align: center;
    text-decoration: none;
    white-space: nowrap;
    background-color: #206E32;
    color: #fff;
    border-bottom-left-radius: 0.5em;
    border-bottom-right-radius: 0.5em;
}

nav a:hover {
    background-color: #2f9e49;
}

main {
    background-color: #fff;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    border-radius: 1em;
    min-height: 1200px;
    padding: 20px;
}

body {
    margin-top: 0;
}

h1 {
    text-align: center;
}

section {
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.grid {
    display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(1000px, 3fr) minmax(0, 1fr);
}

.grid-2c {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    column-gap: 15px;
    place-items: center;
}

.container-half {
    padding: 10px;
    text-align: center;
    min-height: 200px;
}

.card {
    border: 1px solid #adadad8a;
    box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.062);
}

.center {
   margin-left: auto;
   margin-right: auto; 
}

button {
    background-color: #206E32;
    border: none;
    color: white;
    padding: 15px;
    font-size: 16px;
    border-radius: 0.5em;
}

button:active {
    background-color: #2f9e49;
}

.txt-center {
    text-align: center;
}

.buttonRow {
    margin: 10px 0;
}

#ex2loader {
    position: absolute;
    background-color: #0000005d;
    width: 600px;
    height: 300px;
    border-radius: 1em;
    z-index: 100;
    align-content: center;
    visibility: hidden;
}

#ex2loader .loader {
    width: 175px;
    height: 80px;
    display: block;
    margin: auto;
    background-image: radial-gradient(circle 25px at 25px 25px, #FFF 100%, transparent 0), radial-gradient(circle 50px at 50px 50px, #FFF 100%, transparent 0), radial-gradient(circle 25px at 25px 25px, #FFF 100%, transparent 0), linear-gradient(#FFF 50px, transparent 0);
    background-size: 50px 50px, 100px 76px, 50px 50px, 120px 40px;
    background-position: 0px 30px, 37px 0px, 122px 30px, 25px 40px;
    background-repeat: no-repeat;
    position: relative;
    box-sizing: border-box;
}

#ex2loader .loader::after {
    content: '';
    left: 0;
    right: 0;
    margin: auto;
    bottom: 20px;
    position: absolute;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    border: 5px solid transparent;
    border-color: #FF3D00 transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.weather-panel {
    width: 600px;
    height: 300px;
    position: relative;
    border-radius: 1em;
    box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.062);
    margin: 16px auto;
    background: radial-gradient(#e66465, #9198e5);
    background-size: 200% 400%;
    color: #fff;
}

.weather-icon {
    position: absolute;
    width: 200px;
    height: 200px;
    top: -30px;
    left: -12px;
    border: 0;
}

.weather-description {
    position: absolute;
    top: 30px;
    left: 165px;
    font-size: 200%;
}

.weather-temp {
    position: absolute;
    top: 100px;
    left: 30px;
    font-size: 800%;
}

.weather-temp-range {
    position: absolute;
    top: 240px;
    left: 35px;
    font-size: 180%;
}

.weather-temp {
    position: absolute;
    top: 100px;
    left: 30px;
    font-size: 800%;

}

.weather-time {
    position: absolute;
    top: 30px;
    left: 385px;
    font-size: 200%;
    text-align: right;
    width: 200px;
}

.weather-date {
    position: absolute;
    top: 62px;
    left: 385px;
    font-size: 150%;
    text-align: right;
    width: 200px;
}

.weather-location {
    position: absolute;
    top: 235px;
    left: 252px;
    font-size: 200%;
    text-align: right;
    width: 328px;
}